GIT-CREATE-BRANCH(1)

NAME
git-create-branch - Create branches

SYNOPSIS
git-create-branch [-r|--remote [remote_name]] <branchname>

DESCRIPTION
Creates local branch named <branchname> and optionally sets up a remote tracking branch.

OPTIONS
<-r|--remote [remote_name]>

Setup a remote tracking branch using remote_name. If remote_name is not supplied, use origin by default.

<branchname>

The name of the branch to create.

EXAMPLES

$ git create-branch integration

$ git create-branch -r integration

$ git create-branch -r upstream integration

NOTES
As of 4.4.0, the default behavior has changed. git-create-branch will no longer automatically setup a remote tracking branch unless the -r|-remote option is specified.

AUTHOR
Written by Jonhnny Weslley <jw@jonhnnyweslley.net>
Modified by Mark Pitman <mark.pitman@gmail.com>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>